Please apply updated debdiff removing deprecated update-rc.d multiuser usage

Bug #229336 reported by Ryan Kavanagh on 2008-05-11
6
Affects Status Importance Assigned to Milestone
rsync (Ubuntu)
Wishlist
Unassigned

Bug Description

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

 affects ubuntu/rsync
 status new
 importance wishlist
 subscribe ubuntu-main-sponsors

Please sync rsync 3.0.2-2 (main) from Debian unstable (main).

Explanation of the Ubuntu delta and why it can be dropped:

We can drop the xattr-security.diff patch provided to us by Debian. It was an
upstream fix for code execution via ACL overflow (CVE-2008-1720). It is fixed
upstream, 3.0.2 onward.

Changelog since current intrepid version 2.6.9-6ubuntu2:

rsync (3.0.2-2) unstable; urgency=low

  * Fixed a crash if a non-incremental-recursion transfer has a skipped file
    in a set of hard-links.
    closes:#477931

 -- Paul Slootman <email address hidden> Mon, 28 Apr 2008 13:06:35 +0200

rsync (3.0.2-1) unstable; urgency=high

  * new upstream release
  * fixes security problem: potential buffer overflow in the
    extended attribute support. For more info, see
    http://rsync.samba.org/security.html

 -- Paul Slootman <email address hidden> Tue, 08 Apr 2008 19:34:22 +0200

rsync (3.0.1-1) unstable; urgency=low

  * new upstream release
  * call ssh with -6 option if rsync was called with -6 option,
    and ditto for -4 option.
    Upstream considers the -4 and -6 options for use only when talking to a
    daemon, hence this change will remain a Debian-only feature.
    closes:367319

 -- Paul Slootman <email address hidden> Fri, 04 Apr 2008 12:36:56 +0200

rsync (3.0.1~pre3-1) experimental; urgency=low

  * prerelease version

 -- Paul Slootman <email address hidden> Mon, 31 Mar 2008 15:29:51 +0200

rsync (3.0.0-3) unstable; urgency=low

  * unreleased
  * call ssh with -6 option if rsync was called with -6 option,
    and ditto for -4 option.
    closes:367319

 -- Paul Slootman <email address hidden> Tue, 04 Mar 2008 18:51:47 +0100

rsync (3.0.0-2) unstable; urgency=low

  * patch from upstream to fix crash in single-use daemon mode.
    see #469172, although this only fixes the secondary part of that report.

 -- Paul Slootman <email address hidden> Tue, 04 Mar 2008 12:34:03 +0100

rsync (3.0.0-1) unstable; urgency=low

  * new upstream release
  * manpage typo fixed upstream.
    closes:#414636
  * fixed LSB header in init.d script.
    closes:#458442
  * the progress display will not show negative values, if the file changes
    (becomes shorter) during the transfer.
    closes:#415648
  * manpage now correctly show the short form of copy-dirlinks as -k, not -K
    closes:#418923
  * invalid free() pointer doesn't occur anymore.
    closes:#451558
  * rsync will now write in log when --exclude-from is stdin.
    closes:#466950
  * check for rsyncd.conf in init.d script when starting or restarting.
    closes:#412448
  * include scripts from upstream support directory in
    /usr/share/doc/rsync/scripts/
    closes:#458200
  * include example logrotate config file in /usr/share/doc/rsync/examples/
    closes:#416316
  * filename conversion is now possible with the --iconv option. Noe exactly
    what was asked, but close enough IMHO to close:#320223

 -- Paul Slootman <email address hidden> Sun, 02 Mar 2008 13:45:09 +0100

rsync (3.0.0~pre10-1) experimental; urgency=low

  * OK, one more prerelease version
  * fixed LSB header in init.d script.
    closes:#458442
  * manpage typo fixed.
    closes:#414636

 -- Paul Slootman <email address hidden> Wed, 20 Feb 2008 11:20:47 +0100

rsync (3.0.0~pre9-1) experimental; urgency=low

  * prerelease version 9 of 3.0.0, hopefully the last before official 3.0.0
  * Updated fsf.org link to GPL-3 text in copyright file.

 -- Paul Slootman <email address hidden> Mon, 11 Feb 2008 11:35:13 +0100

rsync (3.0.0~pre8-2) experimental; urgency=low

  * fix hardlinking 64-bit inodes

 -- Paul Slootman <email address hidden> Mon, 04 Feb 2008 16:25:54 +0100

rsync (3.0.0~pre8-1) experimental; urgency=low

  * prerelease version 8 of 3.0.0

 -- Paul Slootman <email address hidden> Sun, 13 Jan 2008 13:37:17 +0100

rsync (3.0.0~pre7-1) experimental; urgency=low

  * prerelease version 7 of 3.0.0
  * includes fix for the recent CVE-2007-6199, CVE-2007-6200 vulnerabilities
  * modified the way supplemental patches from debian/patches/ are applied
    (accept both .patch and .diff extensions)

 -- Paul Slootman <email address hidden> Thu, 20 Dec 2007 12:53:35 +0100

rsync (3.0.0~pre6-1) experimental; urgency=low

  * prerelease version 6 of 3.0.0

 -- Paul Slootman <email address hidden> Wed, 28 Nov 2007 12:54:15 +0100

rsync (3.0.0~pre5-1) experimental; urgency=low

  * prerelease version 5 of 3.0.0

 -- Paul Slootman <email address hidden> Mon, 12 Nov 2007 12:30:38 +0100

rsync (3.0.0~pre4-1) experimental; urgency=low

  * prerelease version 4 of 3.0.0

 -- Paul Slootman <email address hidden> Thu, 08 Nov 2007 19:32:18 +0100

rsync (3.0.0~pre1-1) experimental; urgency=low

  * prerelease version 1 of 3.0.0

 -- Paul Slootman <email address hidden> Fri, 05 Oct 2007 11:06:31 +0200

rsync (2.6.9-5) unstable; urgency=high

  * fix two off-by-one errors leading to potential buffer overflow which may
    corrupt the stack (CVE-2007-4091)
    closes:#438125

 -- Paul Slootman <email address hidden> Wed, 15 Aug 2007 21:24:47 +0200

rsync (2.6.9-4) unstable; urgency=low

  * Check for empty filename (buggy kernel may have that in /sys)
  * include README.Debian in the package...
  * init.d script checks whether rsync stays running, or whether it was
    running during a restart.
    closes:#412448
  * fixed typos in manpage
    closes:414636

 -- Paul Slootman <email address hidden> Thu, 26 Jul 2007 19:03:54 +0200

rsync (2.6.9-3) unstable; urgency=low

  * Add patch from upstream to fix error when using -vv together with --stats.
    closes:#402381
  * treat errno == ENOSYS the same as errno == ENOTSUP on hppa as far as ACL
    support is concerned.
    closes:#401189

 -- Paul Slootman <email address hidden> Tue, 12 Dec 2006 14:39:43 +0100

rsync (2.6.9-2) unstable; urgency=low

  * Applied patch from upstream to fix problem
    with --acl together with --delete
    (see http://lists.samba.org/archiv:ee/rsync/2006-November/016706.html)
  * Couple of adjustments to manpage formatting.

 -- Paul Slootman <email address hidden> Mon, 20 Nov 2006 15:43:12 +0100

rsync (2.6.9-1) unstable; urgency=low

  * New upstream release.
  * (from experimental version 2.6.9~pre3-1)
    Applied a mix of the patches from Martin Pitt and David Härdeman for
    LSBfying init script.
    closes:#375985,#385877
  * Upstream now includes the patch for replacing a dir with a symlink when
    using --delete-after.
    closes:#350522
  * Now includes the ACL patch.

 -- Paul Slootman <email address hidden> Tue, 7 Nov 2006 12:32:20 +0100

rsync (2.6.9~pre3-1) experimental; urgency=low

  * 2.6.9-pre3
  * Applied a mix of the patches from Martin Pitt and David Härdeman for
    LSBfying init script.
    closes:#375985,#385877
  * Updated policy version from 3.6.2 to 3.7.2; no changes needed
  * Applied ACL patch. Please test :-)

 -- Paul Slootman <email address hidden> Fri, 27 Oct 2006 12:27:45 +0200

rsync (2.6.9~pre1-1) experimental; urgency=low

  * 1st prerelease of rsync-2.6.9

 -- Paul Slootman <email address hidden> Sat, 14 Oct 2006 18:48:27 +0200

rsync (2.6.8-2) unstable; urgency=low

  * Ignore empty value for RSYNC_NICE.
    closes:#365261

 -- Paul Slootman <email address hidden> Sat, 29 Apr 2006 13:07:43 +0200

rsync (2.6.8-1) unstable; urgency=low

  * new upstream version
  * Updated standards version to 3.6.2 (no changes necessary).
  * (from experimental version 2.6.7-2.6.8pre1):
    Split ssh suggestion into openssh-server and openssh-client.
    Also added blurb about supplying daemon functionality in the description.
    closes:#356994
  * (from experimental version 2.6.7-2.6.8pre1):
    Added support for running rsyncd at a nice value via the defaults file.
    closes:#354306

 -- Paul Slootman <email address hidden> Mon, 24 Apr 2006 12:26:19 +0200

rsync (2.6.7-2.6.8pre1) experimental; urgency=low

  * new upstream version (prerelease 2.6.8pre1).
  * Split ssh suggestion into openssh-server and openssh-client
    as suggested in #356994 (not closing yet). Also added blurb
    about supplying daemon functionality in the description.
  * Added support for running rsyncd at a nice value via the defaults file,
    as suggested in #354306 (not closing yet).

 -- Paul Slootman <email address hidden> Thu, 13 Apr 2006 10:51:39 +0200

rsync (2.6.7-1) unstable; urgency=low

  * new upstream version.
    closes:#357314
  * Includes a patch for an exclude bug when dealing with --relative
    while copying an absolute path. This bug will lead to 2.6.8 being released
    within the next couple of weeks, but this way 2.6.7 can get some Debian
    exposure before then.
  * Removed mention of ssh being a suitable replacement for rsh.
    closes:#324200
  * Fixed "!" in ~/.cvsignore.
    closes:#314473

 -- Paul Slootman <email address hidden> Fri, 17 Mar 2006 11:39:22 +0100

rsync (2.6.6-1) unstable; urgency=low

  * new upstream version.
    bug-fix release to handle a null-pointer bug that turned up in rsync's
    version of zlib 1.1.4 (this is not the recent zlib 1.2.2 security fix,
    which did not affect rsync) and to squash a few other minor bugs. To deal
    with the zlib issue, rsync has been upgraded to include zlib 1.2.3.
  * Now use the --min-size patch as included by upstream, instead of the
    (minimally different) Debian patch.
  * Fixed some minor typos in the manpage.
    closes:#309100
  * Clarified text about pidfile in sample rsyncd.conf.
    closes:#319335

 -- Paul Slootman <email address hidden> Fri, 29 Jul 2005 10:47:04 +0200

rsync (2.6.5-1) unstable; urgency=low

  * new upstream version.
    Contains the patches previously applied in 2.6.4-3 from CVS.
  * Now should handle locale-specific characters better in logging output
    (i.e. the correct chars should be displayed, not '?').

 -- Paul Slootman <email address hidden> Fri, 3 Jun 2005 19:17:28 +0200

rsync (2.6.4-6) unstable; urgency=high

  * Fixed grave bug:
    replaced the Debian-specific patch to log.c with the upstream CVS version,
    as upstream changes conflict with the Debian patch, causing syslog logging
    (the default!) to fail, meaning that for most people the rsync as daemon
    doesn't work.
    This includes people using systemimager-server, as that generates the
    rsyncd.conf on the fly without a log file line, hence the rsync bug
    causes a total failure of that package.
    closes:#307923,#308428
  * fixed the rsync.1 manpage, where cut&paste from a diff was not done
    correctly (the leading '+'s were still there).

 -- Paul Slootman <email address hidden> Tue, 10 May 2005 21:44:29 +0200

rsync (2.6.4-5) unstable; urgency=high

  * Fixed not backupping deleted files when --backup is used in combination
    with --delete-after (this was considered a critical bug).
    closes:#306981
  * Removed spurious log.c.DEBIAN file from source (diff, actually).
  * Removed old rsyncstats script from diff.
  * Install rsyncstats script to /usr/sbin/.
  * Fixed some typos in the man page.
    closes:#305627
  * Implemented a --min-size option.
    closes#:27126

 -- Paul Slootman <email address hidden> Wed, 27 Apr 2005 10:54:43 +0200

rsync (2.6.4-4) unstable; urgency=low

  * Fix from upstream for incompatibility with older rsync versions when using
    --exclude (and not --delete).
    closes:#306368

 -- Paul Slootman <email address hidden> Tue, 26 Apr 2005 17:39:55 +0200

rsync (2.6.4-3) unstable; urgency=low

  * Added comment to /etc/default/rsync that the rsyncd.conf specified there
    is not used when accessing the daemon via a remote shell.
    closes:#298002
  * Correctly report whether what we're not creating is a file or a directory.
    closes:#142258
  * Concat the upstream NEWS & OLDNEWS together as changelog instead of as-is.
    closes:#306250
  * assorted recommended patches from upstream, collected in debian/patches/
    in the source package:
    - fix for sending a single file with -H
    - improper handling of --one-file-system in some cases
    - --link-dest / --hard-links problem
    - new hard-links in not-yet-created directories

 -- Paul Slootman <email address hidden> Tue, 26 Apr 2005 17:05:55 +0200

rsync (2.6.4-2) unstable; urgency=low

  (voor 2.6.5 close 266373)
  * Fixed problem with rsyncd when use chroot = no and module path = /
    closes:#303900
  * Added comment to example rsyncd.conf to make it clear that read only is
    the default.
    closes:#290905,#290882

 -- Paul Slootman <email address hidden> Sun, 10 Apr 2005 14:06:28 +0200

rsync (2.6.4-1) unstable; urgency=low

  * New upstream version.
  * --bwlimit-mod is now removed.

 -- Paul Slootman <email address hidden> Mon, 4 Apr 2005 15:46:38 +0200

rsync (2.6.3-2) unstable; urgency=low

  * Now supports alternate location for rsync daemon config file through
    /etc/default/rsync .
    closes:#271713,#282092
  * If the daemon isn't set to be started, only give a message is there is an
    rsyncd.conf file.
    closes:#252441
  * RSYNC_ENABLE may now also be set to "inetd" for those who want to start
    rsyncd from inetd; all this does is prevent the init.d script from
    outputting a message. You still need to add rsyncd to inetd's config
    yourself.
  * Fixed a few unescaped hyphens in the manpage, thanks to Joseph Nahmias for
    finding them.
    closes:#279586
  * Removed a double line from the man page left behind while editing.
    closes:#282148
  * Patch for --bwlimit when used in daemon mode, which enables the behaviour
    that rsync had previous to 2.6.3 i.e. specifying a default bwlimit (_not_
    a maximum!).
    closes:#281519

 -- Paul Slootman <email address hidden> Wed, 17 Nov 2004 18:22:36 +0100

rsync (2.6.3-1) unstable; urgency=low

  * New upstream version.
  * --bwlimit-mod is now deprecated, as the standard --bwlimit implementation
    now uses ideas from --bwlimit-mod and should always work satisfactorily.
    closes 181336
  * Corrected example rsyncd.conf
    closes 256938

 -- Paul Slootman <email address hidden> Mon, 4 Oct 2004 11:58:18 +0200

rsync (2.6.2.pre3.2-1) experimental; urgency=low

  * Second preliminary version of what is to be 2.6.3.

 -- Paul Slootman <email address hidden> Wed, 22 Sep 2004 12:57:38 +0200

rsync (2.6.2.pre3.1-1) experimental; urgency=low

  * preliminary version of what is to be 2.6.3.
  * --bwlimit-mod is now deprecated, as the standard --bwlimit implementation
    now uses ideas from --bwlimit-mod and should always work satisfactorily.
    closes 181336
  * Corrected example rsyncd.conf
    closes 256938

 -- Paul Slootman <email address hidden> Tue, 17 Aug 2004 11:16:13 +0200

rsync (2.6.2-3) unstable; urgency=high

  * security: directory traversal in daemon mode fix
    (advisory CAN-2004-0792)
    closes:#265662

 -- Paul Slootman <email address hidden> Sat, 14 Aug 2004 14:11:22 +0200

rsync (2.6.2-2) unstable; urgency=low

  * Build with -g by default.
    closes:#239906
  * Check value of RSYNC_ENABLE as set in the defaults file, that it's
    either 'true' or 'false'.
    closes:#256791
  * If set to start the daemon, print an error if the rsyncd.conf file
    doesn't exist.
    closes:#238222
  * Added description of --bwlimit-mod to rsync manpage.
    closes:#245579

 -- Paul Slootman <email address hidden> Tue, 29 Jun 2004 15:20:06 +0200

rsync (2.6.2-1) unstable; urgency=medium

  * New upstream version.
    - fixes bug with --relative option in 2.6.1 that can cause files to be
    transferred incorrectly.
  * Additional patch to fix possible segmentation violation with --delete
    option.

 -- Paul Slootman <email address hidden> Mon, 3 May 2004 14:05:15 +0200

rsync (2.6.1-1) unstable; urgency=high

  * New upstream version.

 -- Paul Slootman <email address hidden> Tue, 27 Apr 2004 14:07:30 +0200

rsync (2.6.0-3) unstable; urgency=low

  * Fix for .cvsignore in one dir affecting other dirs.
    closes#239791

 -- Paul Slootman <email address hidden> Wed, 24 Mar 2004 20:23:34 +0100

rsync (2.6.0-2) unstable; urgency=low

  * Fixed building on GNU/KNetBSD (by adding DEB_BUILD_GNU_TYPE and
    DEB_HOST_GNU_TYPE settings after backwards compatibilty stuff in rules).
    closes:#223267
  * Experimental modification of --bwlimit option to limit the size of writes
    when using small bwlimit values. Use --bwlimit-mod instead of --bwlimit.
    Note that this needs an rsync version at both ends that has this
    modification. See bug 191557 for more info.
  * Removed own kludge to fix #146045 (interrupting while ssh is asking for a
    password leaves tty in non-echoing state) as upstream rsync now has its
    own kludge for this in another place.
  * Added init.d script for those who want to start rsync in daemon mode
    automatically. You'll need to edit /etc/default/rsync and create an
    appropriate rsyncd.conf file to actually get it to start.
    closes:#211007

 -- Paul Slootman <email address hidden> Mon, 5 Jan 2004 16:00:22 +0100

rsync (2.6.0-1) unstable; urgency=low

  * New Year's Day official release of 2.6.0.
  * In short, the most important points from NEWS:
  * - ssh is now the default remote shell for rsync.
  * - Added --files-from, --no-relative, --no-implied-dirs, and --from0.
  * - Fixed several exclude/include matching bugs when using wild-cards.
      Please check the NEWS file for details on subtle changes in
      exclude/include matching.
  * - Make --link-dest honor the absence of -p, -o, and -g.
  * - Fixed file I/O error detection.
  * - Improved file-related error messages to better indicate exactly what
      pathname failed.
  * - Fixed bug that prevented regular files from replacing special files and
      caused a directory in --link-dest or --compare-dest to block the creation
      of a file with the same path. A directory still cannot be replaced by a
      regular file unless --delete specified. (J.W. Schultz)

 -- Paul Slootman <email address hidden> Thu, 1 Jan 2004 21:09:52 +0100

rsync (2.5.99pre2-1) unstable; urgency=low

  * Test release of version 2.6.0pre2
    Final version of rsync 2.6.0 is scheduled for January 1st.

 -- Paul Slootman <email address hidden> Mon, 29 Dec 2003 10:03:08 +0100

rsync (2.5.99pre1-1) experimental; urgency=low

  * Test release of version 2.6.0pre1
  * manpage hasn't all the proper patches, for the rest it should be like the
    final version as far as Debian is concerned.

 -- Paul Slootman <email address hidden> Fri, 19 Dec 2003 22:54:33 +0100

rsync (2.5.7-1) unstable; urgency=high

  * New upstream version
  * Fixes heap overflow vulnerability when run as a server.

 -- Paul Slootman <email address hidden> Thu, 4 Dec 2003 11:20:26 +0100

rsync (2.5.6-2) unstable; urgency=low

  * If the specified log file can't be opened, don't segfault trying to write
    to the file pointer; fall back to syslog instead (and log an appropriate
    message there). This was especially irritating when starting it in daemon
    mode.
    closes:#165839

 -- Paul Slootman <email address hidden> Mon, 17 Nov 2003 16:51:41 +0100

rsync (2.5.6-1) unstable; urgency=low

  * New maintainer
  * Added a small delay when an interrupt is received so that child processes
    can clean up (i.e. ssh can restore tty settings) before the child
    processes are killed.
    closes:#146045
  * Removed the backslashes before single quotes in the manpage to prevent
    them getting turned into acute accents. Also changed - to \- and
    " to \(lq and \(rq, and ' to \(oq and \(cq where appropriate.
    closes:#152135
  * Moved the /usr/share/doc/rsync/sample.rsyncd.conf to
    /usr/share/doc/examples/rsyncd.conf . Also removed debian/dirs as it
    wasn't being used...
    closes:#193024
  * Added upstream's NEWS, OLDNEWS, and TODO to doc directory. Removed
    debian/docs as it wasn't being used...
    closes:#128708
  * Removed the description for --csum-length from the manpage, as there's no
    such option in the program.
    closes:#122629
  * Removed postinst, all it did was add a link to /usr/doc/
  * Updated the Fix for "mkstemp: filename too long" (#183667)
    to the current upstream CVS version.

 -- Paul Slootman <email address hidden> Thu, 25 Sep 2003 20:48:00 +0200

rsync (2.5.6-0.1) unstable; urgency=low

  * NMU
  * New upstream version
    - with updated manpage for rsyncd.conf for the exclude option,
      closes:#172778
  * Updated manpage text for --perms option to clarify its behaviour.
    closes:#181582
  * Fix for "mkstemp: filename too long". closes:#183667

 -- Paul Slootman <email address hidden> Fri, 7 Mar 2003 12:03:45 +0100

rsync (2.5.5-0.2) unstable; urgency=medium

  * NMU
  * Be sure to use "nogroup" instead of "nobody" for server group
   (Closes: #144570).

 -- Colin Walters <email address hidden> Tue, 7 May 2002 17:23:01 -0400

rsync (2.5.5-0.1) unstable; urgency=high

  * NMU
  * New upstream release.
      - Includes fix for --whole-file option defaulting to on.
        (Closes: #141552)

 -- Colin Walters <email address hidden> Sat, 6 Apr 2002 20:36:16 -0500

rsync (2.5.4-1) unstable; urgency=high

  * New upstream release
  * includes fix for zlib double-free bug (closes: #137958)
  * update copyright to mention Martin Pool as upstream maintainer

 -- Philip Hands <email address hidden> Fri, 15 Mar 2002 15:23:06 +0000

rsync (2.5.2-0.1) unstable; urgency=high

  * NMU
  * new upstream release from 2001-01-26
  * new version fixes security problem (remote exploit)
    (closes: Bug#130924)
  * new version added new option "--ignore-existing"
    (closes: Bug#124286)
  * added debian/docs with NEWS, OLDNEWS, TODO
    (closes: Bug#128708)
  * added Makefile.in changes from 2.5.1-0.1
  * downloaded http://rsync.samba.org/ftp/rsync/cvs.log and added
    it to the package but its not uptodate.:(
  * added "RSYNC=/usr/bin/rsync" to test.sh like previous version
  * changed group in loadparm.c from nobody to nogroup
    like previous version

 -- Noel Koethe <email address hidden> Sat, 26 Jan 2002 20:40:00 +0100

rsync (2.5.1-0.1) unstable; urgency=low

  * NMU
  * New upstream version (Closes: #96193).

 -- Colin Walters <email address hidden> Thu, 3 Jan 2002 20:00:01 -0500

rsync (2.5.0-0.3) unstable; urgency=medium

  * NMU
  * debian/rules:
    - Configure for the correct host and target.
  * Backport patch to configure.in and config.h from CVS so we build on
    alpha, ia64, etc. Yes, this horridly bloats the Debian diff...

 -- Colin Walters <email address hidden> Mon, 31 Dec 2001 03:53:47 -0500

rsync (2.5.0-0.2) unstable; urgency=medium

  * NMU
  * debian/control:
    - Add Build-Depends.
    - Clean up description a bit.

 -- Colin Walters <email address hidden> Sun, 30 Dec 2001 03:46:11 -0500

rsync (2.5.0-0.1) unstable; urgency=medium

  * NMU
  * New upstream release
    (Closes: #83597, #62160, #26775, #31208, #41805, #44710, #121249).
  * debian/rules:
    - Modernize a bit; add stock code from current policy, change to use
      $(INSTALL), etc.
    - Install cvs.log and sample rsyncd.conf in /usr/share/doc/rsync
      (Closes: #71406, #121792)

 -- Colin Walters <email address hidden> Mon, 24 Dec 2001 02:13:13 -0500

rsync (2.4.6-1) unstable; urgency=low

  * New upstream release (closes: #67674)

 -- Philip Hands <email address hidden> Sun, 10 Sep 2000 21:40:07 +0100

rsync (2.4.4-1) unstable; urgency=low

  * New upstream release

 -- Philip Hands <email address hidden> Sat, 29 Jul 2000 11:55:30 +0100

rsync (2.4.3-1) unstable; urgency=low

  * New upstream release (closes: #63840)

 -- Philip Hands <email address hidden> Wed, 28 Jun 2000 23:48:58 +0100

rsync (2.4.2-1) unstable; urgency=low

  * New upstream release

 -- Philip Hands <email address hidden> Sun, 2 Apr 2000 00:24:52 +0100

rsync (2.4.1-1) unstable; urgency=low

  * New upstream release

 -- Philip Hands <email address hidden> Thu, 3 Feb 2000 00:42:38 +0000

rsync (2.3.2-1.2) frozen unstable; urgency=low

  * Apply patch from Jason Gunthorpe, to fix rsync segfaults. Closes:
    #51705, #54850.

 -- Adam Heath <email address hidden> Thu, 20 Jan 2000 00:31:00 -0600

rsync (2.3.2-1.1) unstable; urgency=low

  * Use rsync zlib again (closes:Bug#50248).

 -- Joel Klecker <email address hidden> Tue, 7 Dec 1999 09:46:25 -0800

rsync (2.3.2-1) unstable; urgency=low

  * New upstream release
  * use zlib from zlib1g-dev (closes: 38273)
  * switch to using /usr/share for docs, and add compatibility /usr/doc link

 -- Philip Hands <email address hidden> Thu, 11 Nov 1999 15:30:14 +0000

rsync (2.3.1-2) unstable; urgency=low

  * apply Patrik Rak's fix for directory atribute setting (closes: #36179)

 -- Philip Hands <email address hidden> Mon, 10 May 1999 12:24:16 +0100

rsync (2.3.1-1) unstable; urgency=low

  * New upstream release

 -- Philip Hands <email address hidden> Sat, 8 May 1999 10:53:53 +0100

rsync (2.3.0-1) unstable; urgency=low

  * New upstream release
  * change rsyncd's default group to ``nogroup'' (closes: #25299)

 -- Philip Hands <email address hidden> Tue, 16 Mar 1999 12:22:05 +0000

rsync (2.2.1-1) unstable; urgency=low

  * New upstream release

 -- Philip Hands <email address hidden> Sun, 6 Dec 1998 11:14:23 +0000

rsync (2.2.0-2) unstable; urgency=low

  * check if local ssh conections are allowed before using it as part of the
    test script.

 -- Philip Hands <email address hidden> Fri, 6 Nov 1998 10:23:07 +0000

rsync (2.2.0-1) unstable; urgency=low

  * New upstream release

 -- Philip Hands <email address hidden> Thu, 5 Nov 1998 15:47:05 +0000

rsync (2.1.1-1) unstable; urgency=low

  * New upstream release

 -- Philip Hands <email address hidden> Thu, 17 Sep 1998 17:35:41 +0100

rsync (2.1.0-1) unstable; urgency=low

  * New upstream release

 -- Philip Hands <email address hidden> Mon, 20 Jul 1998 11:52:26 +0100

rsync (2.0.19-1) unstable; urgency=low

  * New upstream release

 -- Philip Hands <email address hidden> Sat, 18 Jul 1998 01:19:18 +0100

rsync (2.0.18-1) unstable; urgency=low

  * New upstream release

 -- Philip Hands <email address hidden> Thu, 18 Jun 1998 15:52:11 +0100

rsync (2.0.16-1) unstable; urgency=low

  * New upstream release

 -- Philip Hands <email address hidden> Mon, 1 Jun 1998 15:04:58 +0100

rsync (2.0.14-1) unstable; urgency=low

  * New upstream release

 -- Philip Hands <email address hidden> Fri, 29 May 1998 15:26:18 +0100

rsync (2.0.13-1) unstable; urgency=low

  * New upstream release

 -- Philip Hands <email address hidden> Thu, 28 May 1998 01:17:34 +0100

rsync (2.0.12-1) unstable; urgency=high

  * New upstream release
    (fixes bug that could result in loss of data in files stored in deep
    directory trees i.e. with path names of more than 255 characters)

 -- Philip Hands <email address hidden> Tue, 26 May 1998 18:12:14 +0100

rsync (2.0.11-1) unstable; urgency=low

  * New upstream release

 -- Philip Hands <email address hidden> Sat, 23 May 1998 12:00:28 +0100

rsync (2.0.10-1) unstable; urgency=low

  * New upstream release

 -- Philip Hands <email address hidden> Wed, 20 May 1998 01:58:45 +0100

rsync (2.0.9-1) unstable; urgency=low

  * New upstream release

 -- Philip Hands <email address hidden> Mon, 18 May 1998 15:44:56 +0100

rsync (2.0.3-1) unstable; urgency=low

  * New upstream release

 -- Philip Hands <email address hidden> Fri, 15 May 1998 09:47:18 +0100

rsync (2.0.0-1) unstable; urgency=low

  * New upstream release
    (this includes the new --daemon code, which needs testing, so consider
     this to be beta software, and use with care)

    The alpha version that I released a couple of days ago,
    is incompatible with this version, and should be discarded.

 -- Philip Hands <email address hidden> Thu, 14 May 1998 11:22:25 +0100

rsync (1.7.4-1) unstable; urgency=low

  * New upstream release

 -- Philip Hands <email address hidden> Fri, 17 Apr 1998 10:50:44 +0100

rsync (1.7.2-1) unstable; urgency=low

  * New upstream release

 -- Philip Hands <email address hidden> Thu, 9 Apr 1998 10:19:08 +0100

rsync (1.7.1-0bo1) bo-unstable; urgency=low

  * recompiled for libc5

 -- Philip Hands <email address hidden> Thu, 26 Mar 1998 10:27:48 +0000

rsync (1.7.1-1) unstable; urgency=low

  * New upstream release (closes: #16181 #16860)
  * Fixed typo in description (closes: #18948)
  * add /usr/doc/rsync/test.sh

 -- Philip Hands <email address hidden> Thu, 26 Mar 1998 09:35:24 +0000

rsync (1.6.9-1) unstable; urgency=low

  * New upstream release

 -- Philip Hands <email address hidden> Tue, 13 Jan 1998 17:16:06 +0000

rsync (1.6.8-2) unstable; urgency=low

  * Add upstream patch to fix --suffix option
    (From Andrew Tridgell on the rsync mailing list)

 -- Philip Hands <email address hidden> Tue, 30 Dec 1997 10:54:57 +0000

rsync (1.6.8-1) unstable; urgency=low

  * New upstream release

 -- Philip Hands <email address hidden> Mon, 29 Dec 1997 10:46:41 +0000

rsync (1.6.7-1) unstable; urgency=low

  * New upstream release

 -- Philip Hands <email address hidden> Wed, 17 Dec 1997 09:04:16 +0000

rsync (1.6.3-2) unstable; urgency=low

  * recompile with libc6

 -- Philip Hands <email address hidden> Wed, 20 Aug 1997 10:21:04 +0100

rsync (1.6.3-1) unstable; urgency=low

  * New upstream release

 -- Philip Hands <email address hidden> Tue, 22 Apr 1997 15:17:38 +0100

rsync (1.6.2-1) unstable; urgency=low

  * Initial Release

 -- Philip Hands <email address hidden> Wed, 9 Oct 1996 23:45:08 +0100

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iQIVAwUBSCc/F4r19KKMGstXAQLf2g//f3njPHIU12Y3B+LNraeLhbUsRRlPNiB2
w7PQyP+jS1X4M5bS7wgHvDw9mNcnbDcZVVJVO6fU8EDe6eSM5rvzuhlU8M7T9Db2
0aETwuylF1I7oRSLeBYUYB+QaECEWov5GVeZm02mQoTQEBcOlLSTVrFtfZUeYs/t
++5aekpRwJ3z+n7xrSz4iJe1fmSrAOx4D/D1Mgq8Zu2PUHaXGBg3TDr3O4C1Xf+S
aFMQW2UzvDbk04HZu2S7DxqdnO5FI2/JUUtufBfUCEdlQ76Hhf8/mq+SA0kE58sW
Cu5uZ252E98xw1jnR4l3TRpGnT/QcW/EdT9+7iM9fjQ9elIuOgGhKuDcyEYwa6o4
SbxxE8bfQckvADUmOmZ6B4fSGqnq9XvmZYwifnKbRNMCdluwfTSF/wq0mEd8EqiY
gJI/LvWm3lK6yLLlA2HeRcgnO4MjlOB4CbZMYmCJjfuum72BrqLAud3xxaIjyEoB
SFBGwFcfR6IEOOia2TBjtrSDELqBAMWdggdoNMZGrGlVvrcTs9AbEKvuE7Jj0UJx
gXiy+fYlywkVAqbP6bamkk08N0phqYPXQM4mk4bCOcGwlYQajPzMJ2yaWDa+vnDG
/dGFI2yyvJTJWSWai4I2WFN4NbZ2QBv663ux/D1NnSHuSAPyZ9AarKLPtde42eY3
U9wH6rXQn2Y=
=CCe+
-----END PGP SIGNATURE-----

Related branches

Daniel Holbach (dholbach) wrote :

What about the following changes, are they in Debian now too?

rsync (2.6.9-6ubuntu1) hardy; urgency=low

  * Merge from debian unstable, remaining changes:
    - Remove stop links from rc0 and rc6
      (and use update-rc.d multiuser instead of defaults)
    - maintainer field changed
    - depend on sysv-rc

 -- Michael Vogt <email address hidden> Thu, 13 Dec 2007 11:46:56 +0100

Changed in rsync:
status: New → Incomplete
Jens (jens-launchpad-net) wrote :

I second this wish, strongly!!

rsync-3 adds a feature that every non-English user has probably waiting for forever: --iconv, character set conversion. Before rsync-3, it was impossible to synchronize files on systems that use different character sets (eg. Linux and Mac, Linux and Windows, or Mac and Windows, just to name the most important three), if the file names contained non-ASCII characters.

Please make rsync-3 available for Ubuntu, at least as an option.

Thanks!

Daniel T Chen (crimsun) wrote :

Attaching a debdiff.

I've altered the merge so that the removal of kill and start symlinks is retained. We also need to retain a delta for the explicit runlevel specification semantically equivalent to that in the deprecated Teardown spec.

Changed in rsync:
status: Incomplete → Triaged
Daniel T Chen (crimsun) wrote :
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package rsync - 3.0.3-2ubuntu1

---------------
rsync (3.0.3-2ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes:
    - Remove stop links from rc0 and rc6.
      (and use update-rc.d multiuser instead of defaults). (TearDown spec)
    - depend on sys-rc to accomodate the TearDown changes.

  [Daniel T. Chen]
  * Adhere to update-rc.d multiuser deprecation as per
    https://lists.ubuntu.com/archives/ubuntu-devel-announce/2008-June/000430.html
    and
    https://lists.ubuntu.com/archives/ubuntu-devel-discuss/2008-July/004662.html
    - debian/control: Drop sysv-rc versioned dependency,
    - debian/init.d: Modify Default-Stop LSB header,
    - debian/postinst: Explicitly specify runlevels again. (LP: #229336)

  [Dustin Kirkland]
  * debian/control: Depend on lsb-base >= 3.2-14, providing status_of_proc().
  * debian/init.d: Add the 'status' action (LP: #251320).

rsync (3.0.3-2) unstable; urgency=low

  * Included some patches from the upcoming 3.0.4 release, which I consider
    important enough to include now. See debian/patches/README for the
    details.
  * Ensure that the build bails out if patching fails.
  * Added md5sums for this package.
    closes:#484343
  * Updated to standards version 3.7.3. No changes necessary.

 -- Chuck Short <email address hidden> Fri, 25 Jul 2008 23:52:06 +0100

Changed in rsync:
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers